Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# ax88796.c File Reference

## Detailed Description

Definition in file ax88796.c.

`#include "global.h"`
`#include "timer.h"`
`#include "rprintf.h"`
`#include "ax88796.h"`
`#include "ax88796conf.h"`

Go to the source code of this file.

## Defines
#define | set_mdc ax88796Write(MEMR,ax88796Read(MEMR)|0x01);
#define | clr_mdc ax88796Write(MEMR,ax88796Read(MEMR)&0xFE);
#define | mii_clk set_mdc; clr_mdc;
#define | set_mdir ax88796Write(MEMR,ax88796Read(MEMR)|0x02);
#define | clr_mdir ax88796Write(MEMR,ax88796Read(MEMR)&0xFD);
#define | set_mdo ax88796Write(MEMR,ax88796Read(MEMR)|0x08)
#define | clr_mdo ax88796Write(MEMR,ax88796Read(MEMR)&0xF7)
#define | mii_write
#define | mii_read
#define | mii_r_ta mii_clk; mii_clk;
#define | mii_w_ta
## Functions
void | nicInit (void)
void | nicSend (unsigned int len, unsigned char *packet)
unsigned int | nicPoll (unsigned int maxlen, unsigned char *packet)
void | nicGetMacAddress (u08 *macaddr)
void | nicSetMacAddress (u08 *macaddr)
void | nicRegDump (void)
void | ax88796SetupPorts (void)
void | ax88796Write (u08 address, u08 data)
u08 | ax88796Read (u08 address)
void | ax88796Init (void)
void | ax88796BeginPacketSend (unsigned int packetLength)
void | ax88796SendPacketData (unsigned char *localBuffer, unsigned int length)
void | ax88796EndPacketSend (void)
unsigned int | ax88796BeginPacketRetreive (void)
void | ax88796RetreivePacketData (unsigned char *localBuffer, unsigned int length)
void | ax88796EndPacketRetreive (void)
void | ax88796ProcessInterrupt (void)
void | ax88796ReceiveOverflowRecover (void)
void | ax88796WriteMii (unsigned char phyad, unsigned char regad, unsigned int mii_data)
unsigned int | ax88796ReadMii (unsigned char phyad, unsigned char regad)
void | ax88796RegDump (void)
void | ax88796PhyDump (void)

## Define Documentation

#define mii_read

| Value:
    clr_mdo; mii_clk;   \
                        set_mdo; mii_clk;   \
                        set_mdo; mii_clk;   \
                        clr_mdo; mii_clk;
Definition at line 540 of file ax88796.c.

#define mii_w_ta

| Value:
    set_mdo; mii_clk;   \
                        clr_mdo; mii_clk;
Definition at line 547 of file ax88796.c.

#define mii_write

| Value:
    clr_mdo; mii_clk;   \
                        set_mdo; mii_clk;   \
                        clr_mdo; mii_clk;   \
                        set_mdo; mii_clk;
Definition at line 535 of file ax88796.c.